/*
 *  Copyright  2005, Interlink Electronics Inc.  All Rights Reserved.
 *
 */

// **********************************************************************
//
// miscproc.h: Jefferson Misc Processing routines header file
//
// This module contains data type and function definitions that constitute 
// public interface to the Jefferson Message Processing routines
//

#ifndef __MISCPROC_H
#define __MISCPROC_H

#include "pad.h"
#include "lcd_output_manager.h"
   

#define NORMALIZED_X(x)     (x - X_ORIGIN)
#define NORMALIZED_Y(y)     (y - Y_ORIGIN)
#define NORMALIZED_Z(z)     (z - Z_ORIGIN)

typedef void *timer_expiration_routine(int SignalNo);
   
    
// **********************************************************************
// *** Global functions for miscellaneous processing operations
extern void misc_init_timer_info();
extern void misc_scale_pen_points_to_lcd_points(pad_event_t *mPenData, o_point_t *curr_lcd_point);
extern void misc_rearm_inking_timer(INT32U timeout_ms, timer_expiration_routine *timeout_function);

#endif
